Skip to main content
POST
/
v0
/
topics
/
{topic_id}
/
entries
Create topic entry
curl --request POST \
  --url https://api.tryarchitect.com/v0/topics/{topic_id}/entries \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "content": {
    "type": "<string>",
    "content": "<string>"
  },
  "sortOrder": 4503599627370495
}
'
{
  "topicEntryId": "<string>",
  "topicId": "<string>",
  "sortOrder": 123,
  "content": {
    "type": "<string>",
    "content": "<string>"
  },
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

topic_id
string
required

topic_id parameter

Body

application/json
content
object
required
sortOrder
integer
Required range: 0 <= x <= 9007199254740991

Response

TopicEntry created successfully

topicEntryId
string
required
topicId
string
required
sortOrder
number
required
content
object
required
createdAt
string
required
Pattern: ^\+[1-9]\d{1,14}$
updatedAt
string
required
Pattern: ^\+[1-9]\d{1,14}$